aboutsummaryrefslogtreecommitdiffstats
path: root/ci/build_docker_image.sh
diff options
context:
space:
mode:
Diffstat (limited to 'ci/build_docker_image.sh')
-rw-r--r--ci/build_docker_image.sh9
1 files changed, 8 insertions, 1 deletions
diff --git a/ci/build_docker_image.sh b/ci/build_docker_image.sh
index 45ac274..5d94507 100644
--- a/ci/build_docker_image.sh
+++ b/ci/build_docker_image.sh
@@ -22,7 +22,14 @@ if [[ ${NAME} && ${VERSION} && ${DIR} ]]; then
echo "assign the x to all files and dirs under current dir.."
chmod +x -R .
echo "begin to build image ${NAME}.."
- docker build --no-cache -t ${NAME}:${VERSION} . >/dev/null || { echo -e "\nBuild docker image failed!";exit 1; }
+ build_args=""
+ if [ $http_proxy ]; then
+ build_args+=" --build-arg http_proxy=$http_proxy"
+ fi
+ if [ $https_proxy ]; then
+ build_args+=" --build-arg https_proxy=$https_proxy"
+ fi
+ docker build --no-cache -t ${NAME}:${VERSION} $build_args . >/dev/null || { echo -e "\nBuild docker image failed!";exit 1; }
docker rmi $(docker images | grep "^<none>" | awk '{print $3}') &>/dev/null
# docker save -o ${NAME}.tar ${NAME}:${VERSION} >/dev/null || { rm -f ${NAME}.tar &>/dev/null;echo -e "\nSave docker image failed!";exit 1; }
if [ ! -d ${DIR} ]; then